Bug 1 - [aha] [scsi] Toshiba MK156FB scsi drive does not work with 2.0 kernel
Summary: [aha] [scsi] Toshiba MK156FB scsi drive does not work with 2.0 kernel
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD core team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 1994-09-14 09:10 UTC by root
Modified: 2016-08-11 10:54 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description root 1994-09-14 09:10:01 UTC
While booting the kernel:

aha0, targ 2, lun 0, type 0<direct> fixed SCSI0
aha0, targ 2, lun 0, <unknownunknown????>

fatal trap 18: integer divide fault while in kernel mode.
instrucion pointer 0xf013f134 ( I think)

proc flags interrupt enabled, resume IOPL=0
current process = 0()
interrupt mask net tty bio
panic: integer divide fault

Fix: 

remove Toshiba MK156FB drive from the SCSI bus.

	or use a 1.1.5.1 kernel.

	Using a 1.1 kernel from the cdrom will also show the bug.
	
	The bug appears to have been fixed at some time, but has now
	resurfaced.
How-To-Repeat: 
	reboot.  Happens every time
Comment 1 Joerg Wunsch freebsd_committer 1995-03-27 22:43:37 UTC
State Changed
From-To: open->closed

Dave Evans (the originator of the PR): 
kern/1 has been fixed since mid-December.  I've been happily compiling 
/usr/src on one of these old, clunky drives.   
Comment 2 paul freebsd_committer 1995-07-30 19:44:10 UTC
State Changed
From-To: closed->analyzed

Testing updating of index file since this PR is still flagged as 
open even though it's been closed. 
Comment 3 paul freebsd_committer 1995-07-30 19:45:31 UTC
State Changed
From-To: analyzed->closed

Finally close this properly. 
For some reason the index file which is used by queries still had 
this flagged as an open PR even though the PR file itself had a state 
entry of closed.
Comment 4 commit-hook freebsd_committer 2016-08-11 10:27:54 UTC
A commit references this bug:

Author: koobs
Date: Thu Aug 11 10:27:27 UTC 2016
New revision: 420056
URL: https://svnweb.freebsd.org/changeset/ports/420056

Log:
  net/libzmq4: Add NORM option, Disable -Werror

  - Add NORM option and helpers [1], no default.
  - Backport upstream pull request #2066. [1][2]
  - Override default -Werror in build.

  [2] https://github.com/zeromq/libzmq/pull/2066

  PR:		211306 (part 1 of 2) [1]
  Submitted by:	Eric Camachat <eric camachat org> [1]
  MFH:		2016Q3

Changes:
  head/net/libzmq4/Makefile
  head/net/libzmq4/distinfo
  head/net/libzmq4/files/
  head/net/libzmq4/files/patch-configure
Comment 5 commit-hook freebsd_committer 2016-08-11 10:54:59 UTC
A commit references this bug:

Author: koobs
Date: Thu Aug 11 10:54:26 UTC 2016
New revision: 420059
URL: https://svnweb.freebsd.org/changeset/ports/420059

Log:
  MFH: r420056 - net/libzmq4: Add NORM option, Disable -Werror

  - Add NORM option and helpers [1], no default.
  - Backport upstream pull request #2066. [1][2]
  - Override default -Werror in build.

  [2] https://github.com/zeromq/libzmq/pull/2066

  PR:		211306 (part 1 of 2) [1]
  Submitted by:	Eric Camachat <eric camachat org> [1]

   - Resolve conflict from missing r418449

  Approved by:	ports-secteam (blanket)

Changes:
_U  branches/2016Q3/
  branches/2016Q3/net/libzmq4/Makefile
  branches/2016Q3/net/libzmq4/distinfo
  branches/2016Q3/net/libzmq4/files/